Bug 654430 - Calling register with no username or password should result in clear text
Summary: Calling register with no username or password should result in clear text
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: rc
: ---
Assignee: Bryan Kearney
QA Contact: John Sefler
URL:
Whiteboard:
Depends On: 654429
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-11-17 20:35 UTC by Bryan Kearney
Modified: 2011-05-19 13:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 654429
Environment:
Last Closed: 2011-05-19 13:37:43 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-11-17 20:35:49 UTC
If you run register with no username or password the output should be explicit and tell you to to supply these attributes.

Comment 2 Ajay Kumar Nadathur Sreenivasan 2010-11-18 18:01:16 UTC
Fix in:
 git show-ref master
32e8334b0dd9dd8526367e2cd06c68596c27890e refs/heads/master
32e8334b0dd9dd8526367e2cd06c68596c27890e refs/remotes/origin/master

Comment 4 John Sefler 2010-12-07 18:47:42 UTC
VERIFIED...
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.2-1.git.82.b7841b3.fc14.x86_64

[root@jsefler-onprem01 ~]# subscription-manager register
Error: username and password are required to register, try register --help.

[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1
Error: password not provided. Use --password <value>

[root@jsefler-onprem01 ~]# subscription-manager register --password=password
Error: username not provided. Use --username <name>

[root@jsefler-onprem01 ~]# subscription-manager register --username
Usage: subscription-manager register [OPTIONS]

subscription-manager: error: --username option requires an argument

[root@jsefler-onprem01 ~]# subscription-manager register --password
Usage: subscription-manager register [OPTIONS]

subscription-manager: error: --password option requires an argument

[root@jsefler-onprem01 ~]# subscription-manager register --username=FOO --password=BAR
Invalid username or password

[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1 --password=password
1b71e441-e9d8-4c31-895f-5e73f74b4469 testuser1

Comment 6 errata-xmlrpc 2011-05-19 13:37:43 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.